Skip to main content
PATCH
/
files
/
{id}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.files.update({
    id: "<id>",
    fileUpdateRequest: {},
  });

  console.log(result);
}

run();
curl --request PATCH \
  --url https://api.crevio.co/v1/files/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "filename": "<string>",
  "description": "<string>",
  "tags": [
    "<string>"
  ],
  "url": "<string>"
}
'
import requests

url = "https://api.crevio.co/v1/files/{id}"

payload = {
    "title": "<string>",
    "filename": "<string>",
    "description": "<string>",
    "tags": ["<string>"],
    "url": "<string>"
}
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    title: '<string>',
    filename: '<string>',
    description: '<string>',
    tags: ['<string>'],
    url: '<string>'
  })
};

fetch('https://api.crevio.co/v1/files/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "<string>",
  "id": "<string>",
  "title": "<string>",
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "tags": [
    "<string>"
  ],
  "source_job_id": "<string>",
  "filename": "<string>",
  "content_type": "<string>",
  "size": 123,
  "provider": "<string>",
  "file_url": "<string>"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "bad_request",
    "message": "The request was malformed or contained invalid parameters"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "authentication_required",
    "message": "You did not provide an API key."
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "forbidden",
    "message": "You do not have permission to perform this action"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "resource_missing",
    "message": "The requested resource was not found"
  }
}
{
  "error": {
    "type": "validation_error",
    "code": "validation_failed",
    "message": "Email is required",
    "errors": {
      "email": [
        "can't be blank"
      ]
    }
  }
}
{
  "error": {
    "type": "api_error",
    "code": "internal_error",
    "message": "An unexpected error occurred"
  }
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

File ID (e.g., "file_abc123")

Body

application/json
title
string | null

Human-readable display title. Pass null to clear it.

filename
string | null

Rename the file (updates the stored blob filename). Files only.

description
string | null

Free-text description. Pass null to clear it.

tags
string[] | null

Replaces the tag list. Pass an empty array to clear all tags.

url
string | null

New source URL for an external-video embed (YouTube, Vimeo, or Wistia).

Response

Updated file

object
string
required
id
string
required
kind
enum<string>
required
Available options:
file,
external_video
upload_status
enum<string>
required
Available options:
pending,
processing,
ready,
failed
source
enum<string>
required
Available options:
upload,
url_import,
external_video,
generation
title
string | null
required
description
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
url
string | null
required
tags
string[] | null
required
source_job_id
string | null
required
filename
string | null
required
content_type
string | null
required
size
integer | null
required
provider
string | null
required
file_url
string | null
required